%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-minimist
Version:             1.2.0
Release:             2
Summary:             Parse argument options in Node.js
License:             MIT
URL:                 https://github.com/substack/minimist
Source0:             https://registry.npmjs.org/minimist/-/minimist-%{version}.tgz
patch0:		     CVE-2020-7598.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tap) npm(tape)
%endif
%description
%{summary}.
This module is the guts of nodejs-optimist's argument parser without all the
fanciful decoration.

%prep
%setup -q -n package
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/minimist

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%files
%{nodejs_sitelib}/minimist
%doc readme.markdown example
%license LICENSE

%changelog
* Wed Oct 13 2021 houyingchao <houyingchao@huawei.com> - 1.2.0-2
- Fix CVE-2020-7598

* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 1.2.0-1
- Package init
